package tilt

import (
	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promauto"
)

var (
	metricGravity = promauto.NewGaugeVec(prometheus.GaugeOpts{
		Namespace: "fermentord",
		Subsystem: "tilt",
		Name:      "specific_gravity",
		Help:      "Wort specific gravity",
	},
		[]string{
			"color",
		},
	)

	metricTemp = promauto.NewGaugeVec(prometheus.GaugeOpts{
		Namespace: "fermentord",
		Subsystem: "tilt",
		Name:      "temperature_degrees_celcius",
		Help:      "Wort temperature in degrees celcius",
	},
		[]string{
			"color",
		},
	)
)
